<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--

IGAC proyecto SNC

@author 		juan.agudelo
@version 		2.0
@description	Cuadro de dialogo con mensaje de confirmación y acciones de confirmación
                para las decisión SÍ

                FAVOR USAR ESTE COMPONENTE FUERA DE UN TAG <form/> PARA EVITAR PROBLEMAS DE FORMULARIOS ANIDADOS
@cu 			CU-AV-O-01

attributes
                confirmMessage:		Mensaje de confirmación del dialog
                confirmUpdate:		Updates respectivos sobre la decisión SI
                confirmDialogWV:	WV identificador de la ventana para cerrala
                confirmAction:		Método que se ejecuta sobre la acción de decisión SI
                noRendered:			Bandera de visulización del boton no


@deprecated  usar ultimateConfirmDialogCC
-->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="yesLabel" default="SÍ" />
        <composite:attribute name="noLabel" default="NO" />
        <composite:attribute name="headerLabel" default="Confirmación" />

        <composite:attribute name="confirmationMessage" required="true" />
        <composite:attribute name="image" />
        <composite:attribute name="confirmUpdate" />
        <composite:attribute name="confirmDialogWV" />
        <composite:attribute name="width" default="500" />
        <composite:attribute name="ajaxBehavior" default="true" />
        <composite:attribute name="noRendered" default="true" />

        <composite:attribute name="confirmAction"
                             method-signature="void action()" />

    </composite:interface>

    <composite:implementation>
        <p:confirmDialog appendToBody="true"
                         width="#{cc.attrs.width}" 
                         header="#{cc.attrs.headerLabel}" 
                         widgetVar="#{cc.attrs.confirmDialogWV}" message="#{cc.attrs.confirmationMessage}">

            <h:form id="confirmationDialogCCForm">
                <p:outputPanel style="text-align:center;" layout="block" >
                    <p:commandButton value="#{cc.attrs.yesLabel}"
                                     update="#{cc.attrs.confirmUpdate}"
                                     action="#{cc.attrs.confirmAction}" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); #{cc.attrs.confirmDialogWV}.hide()"
                                     ajax="#{cc.attrs.ajaxBehavior}" icon="ui-icon-check" />
                    <p:commandButton value="#{cc.attrs.noLabel}" icon="ui-icon-close"
                                     onclick="#{cc.attrs.confirmDialogWV}.hide()" type="button"
                                     rendered="#{cc.attrs.noRendered}" />
                </p:outputPanel>

            </h:form>
        </p:confirmDialog>
    </composite:implementation>

</html>